const setCrumbList = (state, list) => {
	state.crumbList = list
}

const getCollapsed = (state : object) => {
	state.collapsed = !state.collapsed;
}

const getOpenModel = (state : object, payload : object) => {
	state.openAddModel = payload.openAddModel;
}

const getOpenMoreModel = (state : object, payload : object) => {
	state.openOtherModel_1 = payload.openOtherModel_1;
}

// 搜索
const getSearchModel = (state : object, payload : object) => {
	state.openSearchModel = payload.openSearchModel;
}

// 查看部门
const getShowDepartmentModel = (state : object, payload : object) => {
	state.showDepartmentModel = payload.showDepartmentModel;
}

// 查看职位
const getShowPositionModel = (state : object, payload : object) => {
	state.showPositionModel = payload.showPositionModel;
}
// 查看HR
const getShowBindModel = (state : object, payload : object) => {
	state.showBindModel = payload.showBindModel;
}

// 查看公司
const getShowCompanyModel = (state : object, payload : object) => {
	state.showCompanyModel = payload.showCompanyModel;
}

// 加入
const getShowAddCompanyModel = (state : object, payload : object) => {
	state.showAddCompanyModel = payload.showAddCompanyModel;
}



export const mutations = {
	setCrumbList,
	getCollapsed,
	getOpenModel,
	getOpenMoreModel,
	getSearchModel,
	getShowDepartmentModel,
	getShowPositionModel,
	getShowBindModel,
	getShowCompanyModel,
	getShowAddCompanyModel,
}