export const cols = <ColType.type[]>[
	{
		title: '招聘会名称',
		dataIndex: 'title',
		width: 300
	}, {
		title: '地点',
		dataIndex: 'address',
		width: 200
	}, {
		title: '开始时间',
		dataIndex: 'open_date',
		width: 200
	}, {
		title: '开通状态',
		dataIndex: 'status',
		slots: { customRender: 'status' },
		width: 200
	}, {
		title: '参与的企业总数',
		dataIndex: 'join_count',
		width: 200
	}, {
		title: '已审核企业总数',
		dataIndex: 'audit_count',
		width: 200
	}, {
		title: '参与职位数',
		dataIndex: 'job_count',
		width: 200
	}, {
		title: '需求人数',
		dataIndex: 'recruiting_num',
		width: 200
	}, {
		title: '操作',
		dataIndex: 'operation',
		slots: { customRender: 'operation' },
		width: 400,
		fixed: 'right',
	}
];