export let dataAreaForm = {
	level1: 0,
	level2: 0,
	level3: 0,
	level4: 0,
}

export let dataPositionForm = {
	level1: 0,
	level2: 0,
}

export let dataBasicForm = {
	job_type: 0,
	talent_type: 0,
	work_experience: 0,
	other_positions: '',
	salary_range: 0,
	available_date: 0,
	title_requirement: 0,
	skill_certification: 0,
	accommodation_requirement: 0,
	holiday_rest: 0,
}

export let otherDataForm = {
	area: [],
	position: []
}

export const reset = () => {
	dataAreaForm = {
		level1: 0,
		level2: 0,
		level3: 0,
		level4: 0,
	}
	dataPositionForm = {
		level1: 0,
		level2: 0,
	}
	dataBasicForm = {
		job_type: 0,
		talent_type: 0,
		work_experience: 0,
		other_positions: '',
		salary_range: 0,
		available_date: 0,
		title_requirement: 0,
		skill_certification: 0,
		accommodation_requirement: 0,
		holiday_rest: 0,
	}
	otherDataForm = {
		area: [],
		position: []
	}

	return { dataAreaForm, dataPositionForm, dataBasicForm, otherDataForm }
}